﻿@using Portal.Models;
@model Toyota.Common.Web.MVC.ModelHolder


@{     
    ViewBag.Title = "View";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<div id="viewDetail_Content" style="width:100%; height: 450px">
    <div id="header" style="width:100%; height:50px">
        <h2>View Message / Download</h2>
    </div>
    <div id="body" style="width:100%; height: 300px">
        @using (Html.BeginForm("Download", "DataExch", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            <table border="0px" width="645px" >
                @Html.Hidden("MaxRetDate", Model.GetModel<DataExchModel>().MaxRetDate)
                @Html.Hidden("SendTo", Model.GetModel<DataExchModel>().MessageTo)
                @Html.Hidden("MessageID", Model.GetModel<DataExchModel>().MessageID)
                @Html.Hidden("MessageType", Model.GetModel<DataExchModel>().MessageType)
                @Html.Hidden("ExpiredFlag", Model.GetModel<DataExchModel>().ExpiredFlag)
                @Html.Hidden("NotifyDownloadFlag", Model.GetModel<DataExchModel>().NotifyDownloadFlag)
                <tr>
                    <td style="width:10%">Title</td>
                    <td style="width:2%">:</td>
                    <td colspan="3">
                        @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "Title";
                                    //settings.Enabled = false;
                                    settings.ReadOnly = true;
                                    settings.Properties.MaxLength = 30;
                                    settings.Properties.Size = 55;
                                    settings.TabIndex = 1;
                                }
                                ).Bind(Model.GetModel<DataExchModel>().MessageTitle).GetHtml()
                    </td>
                </tr>
                <tr>
                        <td style="width:10%">Body</td>
                        <td style="width:2%">:</td>
                        <td colspan="3">
                        @Html.DevExpress().Memo(
                                settings =>
                                {
                                    settings.Name = "Body";
                                    //settings.Enabled = false;
                                    settings.ReadOnly = true;
                                    settings.Properties.Columns = 53;
                                    settings.Properties.Rows = 6;
                                    settings.TabIndex = 2;
                                }
                                ).Bind(Model.GetModel<DataExchModel>().MessageBody).GetHtml()
                        </td>
                    </tr>
                <tr>
                    <td style="width:10%">Filename</td>
                    <td style="width:2%">:</td>
                    <td colspan="3">
                        @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "Filename";
                                    //settings.Enabled = false;
                                    settings.ReadOnly = true;
                                    settings.Properties.MaxLength = 30;
                                    settings.Properties.Size = 55;
                                    settings.TabIndex = 3;
                                }
                                ).Bind(Model.GetModel<DataExchModel>().Filename).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="width:10%">Password</td>
                    <td style="width:2%">:</td>
                    <td colspan="3">
                        @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "FilePassword";
                                    //settings.Enabled = false;
                                    settings.ReadOnly = true;
                                    settings.Properties.MaxLength = 20;
                                    settings.Properties.Size = 35;
                                    settings.TabIndex = 4;
                                }
                                ).Bind(Model.GetModel<DataExchModel>().FilePassword).GetHtml()
                    </td>
                </tr>
                <tr><td colspan="5">&nbsp;</td></tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td><div name="downloadButton" align="left" style="width: 45px">
                            @Html.DevExpress().Button(settings =>
                                {
                                    settings.Name = "download";
                                    settings.Text = "Download";
                                    settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                                    settings.UseSubmitBehavior = true;
                                }).GetHtml() 
                        </div>
                    </td>
                    <td>
                        <div name="resendButton" align="left" style="width: 100px">
                            @Html.DevExpress().Button(settings =>
                                {
                                    settings.Name = "resend";
                                    settings.Text = "Resend";
                                    settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                                    settings.UseSubmitBehavior = true;
                                    settings.RouteValues = new { Controller = "DataExch", Action = "resendMessage_Action", FormMethod.Post };
                                }).GetHtml() 
                        </div>
                    </td>
                    <td style="width:5%"><div name="cancelButton" align="left" style="width: 300px">
                            @Html.DevExpress().Button(settings =>
                                {
                                    settings.Name = "back";
                                    settings.Text = "Back";
                                    settings.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                                    settings.RouteValues = new { Controller = "DataExch", Action = "Cancel" };
                                }).GetHtml() 
                        </div>
                    </td>
                </tr>
            </table>  
        }
    </div>
</div>